FLAC__StreamMetadata_StreamInfo Struct Reference
FLAC C API » FLAC/format.h: format components

`#include <format.h>`

## Public Attributes

uint32_t | min_blocksize
uint32_t | max_blocksize
uint32_t | min_framesize
uint32_t | max_framesize
uint32_t | sample_rate
uint32_t | channels
uint32_t | bits_per_sample
FLAC__uint64 | total_samples
FLAC__byte | md5sum [16]

## Detailed Description

FLAC STREAMINFO structure. (c.f. format specification)

The documentation for this struct was generated from the following file:

- include/FLAC/format.h

Copyright (c) 2000-2009 Josh Coalson Copyright (c) 2011-2025 Xiph.Org Foundation